curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/5/aaa/team-groups/v2/{group_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"externalId": "<string>",
"name": "<string>",
"roleUpdate": {
"action": {
"actionType": "<string>",
"setRoleId": {
"value": 1
},
"clear": {
"clear": true
}
}
},
"scopeUpdate": {
"action": {
"actionType": "<string>",
"setScopeId": {
"value": "<string>"
},
"clear": {
"clear": true
}
}
},
"userUpdates": {
"operation": {
"add": {
"userIds": [
"<string>"
]
},
"operationType": "<string>",
"remove": {
"userIds": [
"<string>"
]
},
"set": {
"userIds": [
"<string>"
]
}
}
}
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/aaa/team-groups/v2/{group_id}"
payload = {
"description": "<string>",
"externalId": "<string>",
"name": "<string>",
"roleUpdate": { "action": {
"actionType": "<string>",
"setRoleId": { "value": 1 },
"clear": { "clear": True }
} },
"scopeUpdate": { "action": {
"actionType": "<string>",
"setScopeId": { "value": "<string>" },
"clear": { "clear": True }
} },
"userUpdates": { "operation": {
"add": { "userIds": ["<string>"] },
"operationType": "<string>",
"remove": { "userIds": ["<string>"] },
"set": { "userIds": ["<string>"] }
} }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
externalId: '<string>',
name: '<string>',
roleUpdate: {action: {actionType: '<string>', setRoleId: {value: 1}, clear: {clear: true}}},
scopeUpdate: {
action: {actionType: '<string>', setScopeId: {value: '<string>'}, clear: {clear: true}}
},
userUpdates: {
operation: {
add: {userIds: ['<string>']},
operationType: '<string>',
remove: {userIds: ['<string>']},
set: {userIds: ['<string>']}
}
}
})
};
fetch('https://api.coralogix.com/mgmt/openapi/5/aaa/team-groups/v2/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"groupId": 1,
"name": "<string>",
"role": {
"description": "<string>",
"name": "<string>",
"roleId": 1
},
"scope": {
"scopeId": "<string>"
},
"teamId": 1,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Update Team Group
Updates the specified team group.
Authorizations
API key authentication
Path Parameters
Unique identifier of the team group to update.
x >= 0Body
Request to modify an existing team group's details, including its name, description, roles, users, and scope settings.
New human-readable description for the team group.
New external identifier for the group.
Group type.
GROUP_TYPE_UNSPECIFIED, GROUP_TYPE_OPEN, GROUP_TYPE_CLOSED, GROUP_TYPE_RESTRICTED New display name for the team group.
Update the role assigned to the group. Either set a new role or clear the existing one.
Show child attributes
Show child attributes
Update the scope assigned to the group. Either reference an existing scope by ID or clear the scope.
Show child attributes
Show child attributes
Patch object for updating group user membership. Choose one operation: add, remove, or replace all users.
Show child attributes
Show child attributes
Response
Response containing the updated team group.
A Team Group entity.
Show child attributes
Show child attributes
Was this page helpful?